### Method

# Gcr SecretExchange send

#### Declaration [src]

    gchar*
    gcr_secret_exchange_send (
      GcrSecretExchange* self,
      const gchar* secret,
      gssize secret_len
    )

#### Description [src]

Send a reply to the other side of the secret exchange, optionally sending a secret.

`gcr_secret_exchange_receive()` must have been successfully called at least once on this object. In other words this object must have received data from the other side of the secret exchange, before we can send a secret.

#### Parameters

`secret`

  Type: `const gchar*`

  Optionally, a secret to send to the other side.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`secret_len`

  Type: `gssize`

  Length of `secret`, or -1 if null terminated.

#### Return value

Type: `gchar*`

A newly allocated string to be sent to the other side of the secret exchange.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.